SystemOrganization addCategory: #ConfigurationOfFuelMooseExtension!

Object subclass: #ConfigurationOfFuelMooseExtension
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfFuelMooseExtension'!

!ConfigurationOfFuelMooseExtension commentStamp: 'MartinDias 3/9/2011 03:02' prior: 0!
I am a Metacello configuration for Fuel Moose export/import extension.

Evaluate for loading Core:

Gofer new
	squeaksource: 'Fuel';
	package: 'ConfigurationOfFuelMooseExtension';
	load.
(Smalltalk at: #ConfigurationOfFuelMooseExtension) load.


Evaluate for loading Core+Benchmarks:

Gofer new
	squeaksource: 'Fuel';
	package: 'ConfigurationOfFuelMooseExtension';
	load.
(Smalltalk at: #ConfigurationOfFuelMooseExtension) project latestVersion load: #(Benchmarks).!

!ConfigurationOfFuelMooseExtension class methodsFor: 'development support' stamp: 'MartinDias 2/19/2011 03:42'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'private' stamp: 'MartinDias 2/19/2011 03:42'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'private' stamp: 'MartinDias 2/19/2011 03:42'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'private' stamp: 'MartinDias 2/19/2011 03:42'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'metacello tool support' stamp: 'MartinDias 2/19/2011 03:42'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'loading' stamp: 'MartinDias 2/19/2011 03:42'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'loading' stamp: 'MartinDias 2/19/2011 03:42'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'loading' stamp: 'MartinDias 2/19/2011 03:42'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'accessing' stamp: 'MartinDias 2/19/2011 03:42'!
project

	^self new project! !

!ConfigurationOfFuelMooseExtension class methodsFor: 'development support' stamp: 'MartinDias 2/19/2011 03:42'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfFuelMooseExtension methodsFor: 'baselines' stamp: 'VincentBlondeau 5/22/2015 16:19'!
baseline10: spec 
        <version: '1.0-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.squeaksource.com/Fuel'.    
                spec 
                        package: 'FuelFameExtension'  with: [ spec requires: 'Fuel' ];
                        package: 'FuelMooseExtension' with: [ spec requires: 'FuelFameExtension' ].
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Tests' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Benchmarks' with: #('FuelFameExtension' 'FuelMooseExtension' 'FuelMooseExtensionBenchmarks'). 
		spec
			project: 'Fuel' with: [
				spec
					className: 'ConfigurationOfFuel';
					loads: #('Core' );
					file: 'ConfigurationOfFuel';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/Fuel' ] ].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'baselines' stamp: 'VincentBlondeau 5/22/2015 16:19'!
baseline11: spec 
        <version: '1.1-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.squeaksource.com/Fuel'.    
                spec 
                        package: 'FuelFameExtension'  with: [ spec requires: 'Fuel' ];
                        package: 'FuelMooseExtension' with: [ spec requires: 'FuelFameExtension' ].
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Tests' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Benchmarks' with: #('FuelFameExtension' 'FuelMooseExtension' 'FuelMooseExtensionBenchmarks'). 
		spec
			project: 'Fuel' with: [
				spec
					className: 'ConfigurationOfFuel';
					loads: #('CoreWithProgressBar' );
					file: 'ConfigurationOfFuel';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/Fuel' ] ].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'baselines' stamp: 'VincentBlondeau 5/22/2015 16:19'!
baseline12: spec 
        <version: '1.2-baseline'>

        spec for: #pharo do: [
                spec blessing: #baseline.
                spec repository: 'http://ss3.gemstone.com/ss/Fuel'.
                spec 
                        package: 'FuelFameExtension'  with: [ spec requires: 'Fuel' ];
                        package: 'FuelMooseExtension' with: [ spec requires: 'FuelFameExtension' ];
				package: 'FuelMooseExtensionBenchmarks' with: [ spec requires: 'FuelMooseExtension' ].
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Tests' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Benchmarks' with: #('FuelFameExtension' 'FuelMooseExtension' 'FuelMooseExtensionBenchmarks'). 
		spec
			project: 'Fuel' with: [
				spec
					className: 'ConfigurationOfFuel';
					loads: #('CoreWithExtras' 'Tests');
					file: 'ConfigurationOfFuel';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/Fuel' ] ].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'baselines' stamp: 'VincentBlondeau 5/22/2015 16:19'!
baseline13: spec 
        <version: '1.3-baseline'>

        spec for: #pharo do: [
                spec blessing: #baseline.
                spec repository: 'http://ss3.gemstone.com/ss/Fuel'.
                spec 
                        package: 'FuelFameExtension'  with: [ spec requires: 'Fuel' ];
                        package: 'FuelMooseExtension' with: [ spec requires: 'FuelFameExtension' ];
				package: 'FuelMooseExtensionBenchmarks' with: [ spec requires: 'FuelMooseExtension' ].
                spec
                        group: 'default' with: #('Core' 'Tests');
                        group: 'Core' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Tests' with: #('FuelFameExtension' 'FuelMooseExtension');
                        group: 'Benchmarks' with: #('FuelFameExtension' 'FuelMooseExtension' 'FuelMooseExtensionBenchmarks'). 
		spec
			project: 'Fuel' with: [
				spec
					className: 'ConfigurationOfFuel';
					loads: #('Core' 'FuelProgressUpdate' 'Tests');
					file: 'ConfigurationOfFuel';
					versionString: #'stable';
					repository: 'http://ss3.gemstone.com/ss/Fuel' ] ].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'baselines' stamp: 'VincentBlondeau 5/22/2015 17:51'!
baseline14: spec
	<version: '1.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Pharo/Fuel/main'.
		spec 
			project: 'Fuel' with: [
				spec
					className: #ConfigurationOfFuel;
					versionString: #'stable';
					loads: #('Core' 'FuelProgressUpdate' 'Tests' );
					repository: 'http://smalltalkhub.com/mc/Pharo/Fuel/main' ];
			project: 'SMark' with: [
				spec
					className: #ConfigurationOfSMark;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main/' ];
			project: 'FamixDiff' with: [
				spec
					className: #ConfigurationOfFamixDiff;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/AnneEtien/FamixDiff/main/' ].
		spec 
			package: 'FuelFameExtension' with: [
				spec requires: #('Fuel' ). ];
			package: 'FuelMooseExtension' with: [
				spec requires: #('FuelFameExtension' ). ];
			package: #'SMark-Jenkins' with: [
				spec requires: #('SMark' );
					repository: 'http://smalltalkhub.com/mc/ClementBera/classic-bench/main'. ];
			package: 'FuelMooseExtensionBenchmarks' with: [
				spec requires: #('FuelMooseExtension' #'SMark-Jenkins' 'FamixDiff' ). ].
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('FuelFameExtension' 'FuelMooseExtension' );
			group: 'Tests' with: #('FuelFameExtension' 'FuelMooseExtension' );
			group: 'Benchmarks' with: #('FuelFameExtension' 'FuelMooseExtension' 'FuelMooseExtensionBenchmarks' #'SMark-Jenkins' ). ].
! !

!ConfigurationOfFuelMooseExtension methodsFor: 'symbolic versions' stamp: 'usmanbhatti 5/22/2015 10:32'!
development: spec
	<symbolicVersion: #'development'>
	spec for: #common version: '1.4-baseline'.
! !

!ConfigurationOfFuelMooseExtension methodsFor: 'accessing' stamp: 'MartinDias 2/19/2011 03:42'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfFuelMooseExtension methodsFor: 'symbolic versions' stamp: 'VincentBlondeau 5/22/2015 16:07'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.5'.
	spec for: #'pharo1.2.x' version: '1.5'.
	spec for: #'pharo1.3.x' version: '1.5'.
	spec for: #'pharo1.4.x' version: '1.5'.
! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'MartinDias 3/9/2011 02:38'!
version10: spec 
        <version: '1.0' imports: #('1.0-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
				project: 'Fuel' with: '1.0';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.27';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-MartinDias.5';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MartinDias.2'].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'TudorGirba 4/30/2011 14:04'!
version11: spec 
        <version: '1.1' imports: #('1.1-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
				project: 'Fuel' with: '1.1';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.28';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-TudorGirba.9';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MartinDias.2'].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'MartinDias 5/20/2011 02:29'!
version12: spec 
        <version: '1.2' imports: #('1.2-baseline') >
        
        spec for: #pharo do: [
                spec blessing: #release.
                spec 
				project: 'Fuel' with: '1.2';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.28';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-MartinDias.12';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MartinDias.4'].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'MartinDias 7/4/2011 03:37'!
version13: spec 
        <version: '1.3' imports: #('1.2-baseline') >
        
        spec for: #pharo do: [
                spec blessing: #development.
                spec 
				project: 'Fuel' with: '1.5';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.34';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-TudorGirba.13';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MarianoMartinezPeck.6'].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'MartinDias 8/19/2011 03:53'!
version14: spec 
        <version: '1.4' imports: #('1.2-baseline') >
        
        spec for: #pharo do: [
                spec blessing: #release.
                spec 
				project: 'Fuel' with: '1.6';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.40';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-MartinDias.14';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MarianoMartinezPeck.6'].! !

!ConfigurationOfFuelMooseExtension methodsFor: 'versions' stamp: 'MarianoMartinezPeck 6/1/2012 22:30'!
version15: spec 
        <version: '1.5' imports: #('1.3-baseline') >
        
        spec for: #pharo do: [
                spec blessing: #release.
		    spec description: '
		- Migrate to Fuel version 1.8
		- If we do not take into account the time to compute attributes we can have improvement up to 40% in export time. 
		- Remove dependency to FuelContainer!!!!!!
		- Remove FLFameClusterization.
		'.
                spec 
				project: 'Fuel' with: '1.8';
                        package: 'FuelFameExtension' with: 'FuelFameExtension-MartinDias.52';
                        package: 'FuelMooseExtension' with: 'FuelMooseExtension-MarianoMartinezPeck.19';
                        package: 'FuelMooseExtensionBenchmarks' with: 'FuelMooseExtensionBenchmarks-MarianoMartinezPeck.7'].! !
